### Method

# Soup MessageMetrics get_connect_start

#### Declaration [src]

    guint64
    soup_message_metrics_get_connect_start (
      SoupMessageMetrics* metrics
    )

#### Description [src]

Get the time immediately before the `SoupMessage` started to establish the connection to the server.

It will be 0 if no network connection was required to fetch the resource (a persistent connection was used or resource was loaded from the local disk cache).

#### Return value

Type: `guint64`

The connection start time.